
Core - Bug # 49476

Epic # 61834 (Accepted): Create future proof Content Element with strong default
Task # 61836 (Accepted): Reorganize Content Element properties within backend Extension
Task # 61842 (New): Refactor CSS-Styled-Content + Content Elements

Status: New Priority: Should have
Author: Bernd Niehues Category: Content Rendering
Created: 2013-06-27 Assigned To:
Updated: 2015-06-15 Due date:
TYPO3 Version: 6.1
PHP Version: 5.4
Complexity:
Is Regression: No
Sprint Focus:
Subject: css_styled_content borderThick could not be set to 0
Description

the max image width would be calculated wrong when setting the borderThick to a value of 0.

History
#1 - 2013-06-27 17:58 - Bernd Niehues
- File bug_49476.diff added

#2 - 2013-06-30 17:32 - Jigal van Hemert
- Status changed from New to Needs Feedback

The property "borderThick" is only used if the property "border" evaluates to 1. To have no border you simply set "border" to zero.

Does this solve the issue?

#3 - 2013-07-01 11:41 - Bernd Niehues

Setting the border property to zero ( border = 0 ) doesn't work. But unsetting in completly ( border > ) does work.

tt_content.image.20 {
    borderThick = 0
    border >
}

Thx!

#4 - 2013-11-01 12:52 - Alexander Opitz
- Is Regression set to No

So we can close this issue?
#5 - 2013-11-01 13:24 - Bernd Niehues

May ne closed... But i think it would ne nicer to be able to unset the border also by setting it to zero?!

#6 - 2013-11-04 10:59 - Alexander Opitz
- Status changed from Needs Feedback to New
- % Done changed from 100 to 50

#7 - 2014-09-24 12:47 - Felix Kopp
- Parent task set to #61842

#8 - 2014-12-23 19:55 - Mathias Schreiber
- Target version changed from next-patchlevel to 7.2 (Frontend)

#9 - 2015-06-15 17:45 - Benjamin Mack
- Target version changed from 7.2 (Frontend) to 7.4 (Backend)

Files
bug_49476.diff 842 Bytes 2013-06-27 Bernd Niehues
